#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (not included in sdist)

Summary:	Sphinx extension to support coroutines in markup
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do obsługi korutyn w znacznikach
Name:		python3-sphinxcontrib-asyncio
Version:	0.3.0
Release:	8
License:	Apache v2
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-asyncio/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxcontrib-asyncio/sphinxcontrib-asyncio-%{version}.tar.gz
# Source0-md5:	5445823a927f3368dd81b9061bec0055
Patch0:		sphinxcontrib-asyncio-sphinx6.patch
Patch1:		sphinxcontrib-asyncio-python3.10.patch
URL:		https://pypi.org/project/sphinxcontrib-asyncio/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-Sphinx >= 3.0
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
# requires already installed package
BuildRequires:	python3-sphinxcontrib-asyncio
BuildRequires:	sphinx-pdg >= 3.0
%endif
Requires:	python3-modules >= 1:3.5
Requires:	python3-sphinxcontrib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension for adding asyncio-specific markups.

%description -l pl.UTF-8
Rozszerzenie Sphinksa do dodawania oznaczeń specyficznych dla asyncio.

%package apidocs
Summary:	API documentation for Python sphinxcontrib-asyncio module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona sphinxcontrib-asyncio
Group:		Documentation

%description apidocs
API documentation for Python sphinxcontrib-asyncio module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona sphinxcontrib-asyncio.

%prep
%setup -q -n sphinxcontrib-asyncio-%{version}
%patch -P0 -p1
%patch -P1 -p1

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# provided by python3-sphinxcontrib in PLD
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/sphinxcontrib/__init__.py \
	$RPM_BUILD_ROOT%{py3_sitescriptdir}/sphinxcontrib/__pycache__/__init__.*.py*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%{py3_sitescriptdir}/sphinxcontrib/asyncio.py
%{py3_sitescriptdir}/sphinxcontrib/__pycache__/asyncio.cpython-*.py[co]
%{py3_sitescriptdir}/sphinxcontrib_asyncio-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Sun Jun 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinxcontrib-asyncio.git;a=log;h=auto/th/python3-sphinxcontrib-asyncio-0.3.0-8

* Sun Jun 29 2025 Jakub Bogusz <qboosh@pld-linux.org> 3883db5
- extension fix for Sphinx 6+ changes, docs fix for python 3.10+; release 8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8fc3c82
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7035fdc
- python 3.13 rebuild

* Thu Mar 31 2022 Jan Rękorajski <baggins@pld-linux.org> 23251cc
- Release 5 (by relup.sh)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d54cb90
- rebuild with tests and docs

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 8981ee7
- rebuild with tests and docs

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> e28d0a1
- require python3-sphinxcontrib, not python-sphinxcontrib

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 212f58a
- doc requires already installed sphinxcontrib.asyncio because of namespacing(?)

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> d8ca5c1
- release 2

* Mon Mar 28 2022 Jakub Bogusz <qboosh@pld-linux.org> d6f0f59
- python-sphinxcontrib-asyncio.spec updated to 0.3.0 for python 3.5+/Sphinx 3+

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4aa815e
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 210a122
- release 3 (by relup.sh)

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 7f13dc0
- use common package for sphinxcontrib namespace; release 2

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> f86f7cb
- new

